<?php

namespace Database\Seeders;

use App\Models\AccountType;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class AccountTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        AccountType::truncate();
        $types = [
            ['name'=>'Savings'],
            ['name'=>'Current'],
            ['name'=>'Fixed'],
            ['name'=>'Deposit'],
            ['name'=>'Domiciliary'],
        ];

        foreach ($types as $key => $value) {
            AccountType::create($value);
        }
    }
}
